=== debian/changelog ===
ros-noetic-moveit-servo (1.1.11-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-servo (1.1.10-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-servo (1.1.9-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-servo (1.1.8-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-servo (1.1.7-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-servo (1.1.6-1buster) buster; urgency=high

  * Backport position limit enforcement from MoveIt2 (#2898 <https://github.com/ros-planning/moveit/issues/2898>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Minor fixups (#2759 <https://github.com/ros-planning/moveit/issues/2759>)
  * Remove gtest include from non-testing source (#2747 <https://github.com/ros-planning/moveit/issues/2747>)
  * Fix an off-by-one error in servo_calcs.cpp (#2740 <https://github.com/ros-planning/moveit/issues/2740>)
  * Refactor ``moveit_servo::LowPassFilter`` to be assignable (#2722 <https://github.com/ros-planning/moveit/issues/2722>)
  * Contributors: Griswald Brooks, Michael Görner, Michael Wiznitzer, Robert Haschke, luisrayas3, toru-kuga

 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-servo (1.1.5-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-servo (1.1.4-1buster) buster; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-servo (1.1.3-1buster) buster; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Contributors: Nathan Brooks

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-servo (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Add missing include (#2519 <https://github.com/ros-planning/moveit/issues/2519>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * Change servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-servo (1.1.1-1buster) buster; urgency=high

  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [fix] Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: AndyZe, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-servo (1.1.0-1buster) buster; urgency=high

  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * [maint] delete python integration tests (#2186 <https://github.com/ros-planning/moveit/issues/2186>)
  * Contributors: AdamPettinger, AndyZe, Robert Haschke, Ruofan Xu, Tyler Weaver, v4hn

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-servo (1.0.6-1buster) buster; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)

